## org.apache.mahout.math
Class CholeskyDecomposition

    java.lang.Object
      org.apache.mahout.math.CholeskyDecomposition

    public class CholeskyDecomposition

extends Object

Cholesky decomposition shamelessly ported from JAMA.

A Cholesky decomposition of a semi-positive definite matrix A is a lower triangular matrix L such that L L^* = A. If A is full rank, L is unique. If A is real, then it must be symmetric and R will also be real.

Constructor Summary
`CholeskyDecomposition(Matrix a)`
`CholeskyDecomposition(Matrix a, boolean pivot)`

Method Summary
`int[]` `getInversePivot()`
`Matrix` `getL()`
`PivotedMatrix` `getPermutedL()`
`int[]` `getPivot()`
`boolean` `isPositiveDefinite()`
`Matrix` `solveLeft(Matrix z)` Compute inv(L) * z efficiently.
`Matrix` `solveRight(Matrix z)` Compute z * inv(L') efficiently

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CholeskyDecomposition

    public CholeskyDecomposition(Matrix a)

### CholeskyDecomposition

    public CholeskyDecomposition(Matrix a,
                                 boolean pivot)

Method Detail

### isPositiveDefinite

    public boolean isPositiveDefinite()

### getL

    public Matrix getL()

### getPermutedL

    public PivotedMatrix getPermutedL()

### getPivot

    public int[] getPivot()

  Returns:
    Returns the permutation of rows and columns that was applied to L

### getInversePivot

    public int[] getInversePivot()

### solveLeft

    public Matrix solveLeft(Matrix z)

  Compute inv(L) * z efficiently.

  Parameters:
    `z` -

### solveRight

    public Matrix solveRight(Matrix z)

  Compute z * inv(L') efficiently

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.